<?php

add_theme_support( 'woocommerce' );

/*	WOOCOMMERCE
	---------------------------------------------------------------------------------*/

remove_action( 'woocommerce_before_main_content',    'woocommerce_breadcrumb', 20, 0);
remove_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
add_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);

/**
 * WooCommerce Loop Product Thumbs
 **/

 if ( ! function_exists( 'woocommerce_template_loop_product_thumbnail' ) ) {
    function woocommerce_template_loop_product_thumbnail() {
        echo woocommerce_get_product_thumbnail();
    }
 }


 /**
 * WooCommerce Product Thumbnail
 **/
 if ( ! function_exists( 'woocommerce_get_product_thumbnail' ) ) {
    function woocommerce_get_product_thumbnail( $size = 'shop_catalog', $placeholder_width = 0, $placeholder_height = 0  ) {
        global $post, $woocommerce;
        $output = '';
        $thumb = bd_post_image('full');
        $ntImage = aq_resize( $thumb, 300, 190, true );

        if ( ! $placeholder_width )
            $placeholder_width = $woocommerce->get_image_size( 'shop_catalog_image_width' );
        if ( ! $placeholder_height )
            $placeholder_height = $woocommerce->get_image_size( 'shop_catalog_image_height' );
            $output .= '<a href="'.get_permalink().'">';
            if ( has_post_thumbnail() ) {
                $output .= '<img src="'. $ntImage .'" alt="Placeholder" width="' . $placeholder_width . '" height="' . $placeholder_height . '" />';
            } else {
                //$output .= '<img src="'. woocommerce_placeholder_img_src() .'" alt="Placeholder" width="' . $placeholder_width . '" height="' . $placeholder_height . '" />';
                $output .= get_the_post_thumbnail( $post->ID, 'portfolio-thumb' );
            }
            $output .= '</a>';
            return $output;
    }
 }

/**
 * Replace WooCommerce Default Pagination with WP-PageNavi Pagination
 *
 * @author WPSnacks.com
 * @link http://www.wpsnacks.com
 */
if(function_exists('wp_pagenavi')) {
    remove_action('woocommerce_pagination', 'woocommerce_pagination', 10);
    function woocommerce_pagination() {
        wp_pagenavi();
    }
    add_action( 'woocommerce_pagination', 'woocommerce_pagination', 10);
}
remove_action('woocommerce_pagination', 'woocommerce_catalog_ordering', 20 );



/**
 * Custom Add To Cart Messages
 *
 **/
add_filter( 'woocommerce_add_to_cart_message', 'custom_add_to_cart_message' );
function custom_add_to_cart_message() {
    global $woocommerce;

    // Output success messages
    if (get_option('woocommerce_cart_redirect_after_add')=='yes') :

        $return_to  = get_permalink(woocommerce_get_page_id('shop'));

        $message    = sprintf('<p id="added_cart_info">%s</p> <a href="%s" style="float:right; margin-right: -15px;" class="button color">%s</a>', __('Product successfully added to your cart.', 'bd'), $return_to, __('Continue Shopping &rarr;', 'bd') );

    else :

        $message    = sprintf('<p id="added_cart_info">%s</p> <a href="%s" style="float:right; margin-right: -15px;" class="button color">%s</a> ', __('Product successfully added to your cart.', 'bd'), get_permalink(woocommerce_get_page_id('cart')), __('View Cart &rarr;', 'bd') );

    endif;

        return $message;
}


/* Change number of items */
$wooitems = $data['num_wooitems'];
add_filter( 'loop_shop_per_page', create_function( '$cols', 'return '.$wooitems.';' ), 20 );


/* remove comments if you want to get rid of sorting and results counter
remove_filter( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering',30 );
remove_filter( 'woocommerce_before_shop_loop', 'woocommerce_result_count',20 );
*/

remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );

?>