<?php
/*
Template Name: Authors List
*/
?>
<?php get_header(); ?>
<div id="container">
	<div class="main<?php if ( is_active_sidebar( 'home-sidebar-small' ) ) : ?> small-sidebar<?php endif; ?>">

<?php if ( is_active_sidebar( 'home-sidebar-small' ) ) : ?>
<div class="sidebar-small">
<?php dynamic_sidebar( 'home-sidebar-small' ); ?>
</div><!-- Sidebar Small -->
<?php endif; ?>

		<div class="content">
			<div class="warp">

			<?php if(bdayh_get_option('article_crumbs') == 1) { ?>
				<div class="pp-breadcrumbs bottom10">
					<?php bd_breadcrumbs() ?>
				</div><!--//end breadcrumbs-->
				<hr class="bottom15">
			<?php } ?>


			<article id="post-<?php the_ID(); ?>" <?php post_class('post-item'); ?>>

	        <?php if(bdayh_get_option('article_above_ads') == 1){ ?>
		        <div class="article_above_ads tcenter">
			        <?php if(bdayh_get_option('above_ads_code') != '') { ?>
			     	<?php echo stripslashes(bdayh_get_option('above_ads_code')); ?>
			        <?php } else { ?>
			         <a href="<?php echo bdayh_get_option('above_ads_img_url'); ?>" title="<?php echo bdayh_get_option('above_ads_img_altname'); ?>">
			         	<img src="<?php echo bdayh_get_option('above_ads_img'); ?>" alt="<?php echo bdayh_get_option('above_ads_img_altname'); ?>" />
			         </a>
			        <?php }?>
		        </div>
		        <!--//article_above_ads-->
		        <div class="clear bottom25"></div>
	        <?php }?>


			<header class="entry-header">
			<h1 class="entry-title bottom15"><?php the_title(); ?></h1>
			</header><!-- post title /-->

				<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
				<div class="entry">

				<?php the_content(); ?>
					<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'bd' ), 'after' => '</div>' ) ); ?>

					<ul class="authors-wrap">
					<?php
						$users = get_users('blog_id=1&orderby=post_count&order=DESC');
						foreach ($users as $user) {	?>
						<li class="bottom15">
							<div class="author-avatar">
								<?php echo get_avatar( get_the_author_meta( 'user_email' , $user->ID ), apply_filters( 'MFW_author_bio_avatar_size', 80 ) ); ?>
							</div><!-- author-avatar /-->
							<div class="author-description">
								<div class="title bottom15"><a href="<?php echo get_author_posts_url( $user->ID ); ?>"><?php echo $user->display_name ?> </a></div>
								<?php the_author_meta( 'description'  , $user->ID ); ?>
							</div><!-- author-description /-->

							<div class="author-social">
								<?php if ( get_the_author_meta( 'url' , $user->ID) ) : ?>
								<a class="tooltip" href="<?php the_author_meta( 'url' , $user->ID); ?>" title="<?php echo $user->display_name ?> <?php _e( " 's site", 'bd' ); ?>"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/small_social_icons/home.png" alt="" /></a>
								<?php endif ?>
								<?php if ( get_the_author_meta( 'twitter' , $user->ID) ) : ?>
								<a class="tooltip" href="http://twitter.com/<?php the_author_meta( 'twitter' , $user->ID ); ?>" title="<?php echo $user->display_name ?><?php _e( '  on Twitter', 'bd' ); ?>"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/small_social_icons/twitter.png" alt="" /></a>
								<?php endif ?>
								<?php if ( get_the_author_meta( 'facebook' , $user->ID) ) : ?>
								<a class="tooltip" href="<?php the_author_meta( 'facebook' , $user->ID ); ?>" title="<?php echo $user->display_name ?><?php _e( '  on Facebook', 'bd' ); ?>"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/small_social_icons/facebook.png" alt="" /></a>
								<?php endif ?>
								<?php if ( get_the_author_meta( 'google' , $user->ID) ) : ?>
								<a class="tooltip" href="<?php the_author_meta( 'google' , $user->ID ); ?>" title="<?php echo $user->display_name ?><?php _e( '  on Google+', 'bd' ); ?>"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/small_social_icons/gplus.png" alt="" /></a>
								<?php endif ?>
								<?php if ( get_the_author_meta( 'linkedin' , $user->ID) ) : ?>
								<a class="tooltip" href="<?php the_author_meta( 'linkedin' , $user->ID); ?>" title="<?php echo $user->display_name ?><?php _e( '  on Linkedin', 'bd' ); ?>"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/small_social_icons/linkedin.png" alt="" /></a>
								<?php endif ?>
								<?php if ( get_the_author_meta( 'flickr' , $user->ID) ) : ?>
								<a class="tooltip" href="<?php the_author_meta( 'flickr' , $user->ID); ?>" title="<?php echo $user->display_name ?><?php _e( '  on Flickr', 'bd' ); ?>"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/small_social_icons/flickr.png" alt="" /></a>
								<?php endif ?>
								<?php if ( get_the_author_meta( 'youtube' , $user->ID) ) : ?>
								<a class="tooltip" href="<?php the_author_meta( 'youtube' , $user->ID); ?>" title="<?php echo $user->display_name ?><?php _e( '  on YouTube', 'bd' ); ?>"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/small_social_icons/youtube.png" alt="" /></a>
								<?php endif ?>
								<?php if ( get_the_author_meta( 'pinterest' , $user->ID) ) : ?>
								<a class="tooltip" href="<?php the_author_meta( 'pinterest' , $user->ID); ?>" title="<?php echo $user->display_name ?><?php _e( '  on Pinterest', 'bd' ); ?>"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/small_social_icons/pinterest.png" alt="" /></a>
								<?php endif ?>
							</div>

							<div class="clear"></div>
						</li>
					<?php } ?>
					</ul>


					<div class="clear"></div>
					<?php edit_post_link( __( 'Edit', 'bd' ), '<span class="edit-link">', '</span>' ); ?>
				</div>
              	<!-- single post entry -->

		        <?php if(bdayh_get_option('article_below_ads') == 1){ ?>

			        <div class="article_above_ads tcenter">
			          <?php if(bdayh_get_option('below_ads_code') != '') { ?>
							<?php echo stripslashes(bdayh_get_option('below_ads_code')); ?>
			          <?php } else { ?>
							<a href="<?php echo bdayh_get_option('below_ads_img_url'); ?>" title="<?php echo bdayh_get_option('below_ads_img_altname'); ?>">
								<img src="<?php echo bdayh_get_option('below_ads_img'); ?>" alt="<?php echo bdayh_get_option('below_ads_img_altname'); ?>" />
							</a>
			          <?php }?>
			        </div>
			        <!--//article_below_ads-->
	               	<div class="clear bottom25"></div>
		        <?php }?>

			</article>
			<?php endwhile; ?>



		<?php if (comments_open() && !post_password_required()) { ?>
			<?php comments_template('', true); ?>
		<?php } ?>

		</div>
		</div>
		<!-- content -->
	</div>
</div>
<!-- container -->

    <div id="sidebar">
        <?php if  (function_exists('dynamic_sidebar') && dynamic_sidebar('Page Sidebar')){ }else { ?>
            <?php get_sidebar(); ?>
        <?php } ?>
    </div><!-- sidebar /-->
<?php get_footer(); ?>