<?php
add_action( 'widgets_init', 'bd_cate_posts' );
function bd_cate_posts() {
    register_widget( 'bd_cate_posts' );
}
class bd_cate_posts extends WP_Widget {
function bd_cate_posts() {
    $widget_ops = array('classname' => 'bd-cate-posts', 'description' => '');
    $control_ops = array('id_base' => 'bd-cate-posts');
    $this->WP_Widget('bd-cate-posts', theme_name . ' - Category Posts', $widget_ops, $control_ops);
}
function widget( $args, $instance ) {
    extract( $args );
    $title = apply_filters('widget_title', $instance['title'] );
    $number = $instance['number'];
    $categories = $instance['categories'];
    echo $before_widget;
    if($title) {
        echo $before_title.$title.$after_title;
    }
?>
<ul>
<?php global $post; $recent = new WP_Query(array( 'cat' => $categories, 'showposts' => $number )); while($recent->have_posts()) : $recent->the_post(); ?>
<li class="widget-post-wrapper">
    <?php
        $thumb = bd_post_image('large');
        $ntImage = aq_resize( $thumb, 67, 67, true );
    ?>
    <?php if (strpos(bd_post_image(), 'youtube')) { ?>
        <div class="widget-post-thumb">
            <a href="<?php the_permalink();?>" title="<?php printf( esc_attr__( '%s', 'bd' ), the_title_attribute( 'echo=0' ) ); ?>" rel="author">
                <img class="youtube-img" src="<?php echo bd_post_image('large'); ?>" width="67" height="67" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
            </a>
        </div><!-- thumbnail/-->
    <?php } elseif (strpos(bd_post_image(), 'vimeo')) { ?>
        <div class="widget-post-thumb">
            <a href="<?php the_permalink();?>" title="<?php printf( esc_attr__( '%s', 'bd' ), the_title_attribute( 'echo=0' ) ); ?>" rel="author">
                <img class="vimeo-img" src="<?php echo bd_post_image('large'); ?>" width="67" height="67" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
            </a>
        </div><!-- thumbnail/-->
    <?php } elseif (strpos(bd_post_image(), 'dailymotion')) {?>
        <div class="widget-post-thumb">
            <a href="<?php the_permalink();?>" title="<?php printf( esc_attr__( '%s', 'bd' ), the_title_attribute( 'echo=0' ) ); ?>" rel="author">
                <img class="dailymotion-img" src="<?php echo bd_post_image('large'); ?>" width="67" height="67" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
            </a>
        </div><!-- thumbnail/-->
    <?php } else { if($ntImage != '') { ?>
        <div class="widget-post-thumb">
            <a href="<?php the_permalink();?>" title="<?php printf( esc_attr__( '%s', 'bd' ), the_title_attribute( 'echo=0' ) ); ?>" rel="author">
                <img class="ntImage-img" src="<?php echo $ntImage; ?>"  alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
            </a>
        </div><!-- thumbnail/-->
    <?php } } ?>
    <div class="widget-post-content">
    <h3 class="widget-post-title"><a href="<?php the_permalink(); ?>"><?php the_title();?></a></h3>
    <span class="widget-post-meta"><?php the_time(get_option('date_format'));  ?></span>
    <div class="reviews">
        <?php
        $official_brief_summary = get_post_meta(get_the_ID(), 'official_brief_summary', true);
        $official_review_enable =  get_post_meta(get_the_ID(), 'official_review_enable', true);
        $official_final_score =  get_post_meta(get_the_ID(), 'official_final_score', true);
        $official_final_percentage = $official_final_score * 20 + 2 ;
        ?>
        <?php if ($official_review_enable == 1) { ?>
            <span title="<?php echo $official_brief_summary;?>" class="official-module-a-stars-under leading-article fLeft"><span class="official-module-a-stars-over leading-article" style="width:<?php echo $official_final_percentage; ?>%"></span></span>
        <?php } ?>
    </div><!-- Reviews/-->
    </div>
</li>
<?php endwhile; ?>
</ul>
<div class="clear"></div>
<?php
    echo $after_widget;
}
function update( $new_instance, $old_instance ) {
    $instance = $old_instance;
    $instance['title'] = strip_tags( $new_instance['title'] );
    $instance['number'] = strip_tags( $new_instance['number'] );
    $instance['categories'] = $new_instance['categories'];
    return $instance;
}
function form( $instance ) {
    $defaults = array( 'title' =>__( 'Category Posts' , 'bd'), 'number' => '5' , 'cats_id' => '1');
    $instance = wp_parse_args( (array) $instance, $defaults );
    ?>
    <p>
        <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:' , 'bd'); ?></label>
        <input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width: 216px" />
    </p>
    <p>
        <label for="<?php echo $this->get_field_id( 'number' ); ?>"><?php _e('Number of posts to show:' , 'bd'); ?></label>
        <input id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" value="<?php echo $instance['number']; ?>" size="3" />
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('categories'); ?>"><?php _e('Select Category:' , 'bd'); ?></label>
        <select id="<?php echo $this->get_field_id('categories'); ?>" name="<?php echo $this->get_field_name('categories'); ?>" style="width:100%;">
        <option value='all' <?php if ('all' == $instance['categories']) echo 'selected="selected"'; ?>><?php _e('All Categories' , 'bd'); ?></option>
            <?php $categories = get_categories('hide_empty=0&depth=1&type=post'); ?>
            <?php foreach($categories as $category) { ?>
            <option value='<?php echo $category->term_id; ?>' <?php if ($category->term_id == $instance['categories']) echo 'selected="selected"'; ?>><?php echo $category->cat_name; ?></option>
            <?php } ?>
        </select>
    </p>
<?php
}

}