<?php

	if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
	global $woocommerce_loop, $woocommerce, $product;
	$crosssells = $woocommerce->cart->get_cross_sells();

	if ( sizeof( $crosssells ) == 0 ) return;

	$meta_query = array();
	$meta_query[] = $woocommerce->query->visibility_meta_query();
	$meta_query[] = $woocommerce->query->stock_status_meta_query();

	$args = array(
		'post_type'           => 'product',
		'ignore_sticky_posts' => 1,
		'posts_per_page'      => 2,
		'no_found_rows'       => 1,
		'orderby'             => 'rand',
		'post__in'            => $crosssells,
		'meta_query'          => $meta_query
	);

	$products = new WP_Query( $args );

	$woocommerce_loop['columns'] 	= 2;

	if ( $products->have_posts() ) :

?>

<div class="ten columns">
	<h3 style="margin-bottom: 10px;"><?php _e('You may be interested in&hellip;', 'bd') ?></h3>
</div>
	<div class="cross-sells">

		<?php woocommerce_product_loop_start(); ?>

			<?php while ( $products->have_posts() ) : $products->the_post(); ?>

				<?php woocommerce_get_template_part( 'content', 'product' ); ?>

			<?php endwhile; // end of the loop. ?>

		<?php woocommerce_product_loop_end(); ?>

	</div>

<?php endif;

wp_reset_query();
